Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498744 - media-libs/opencv-2.4.7: make python optional and migrate to -r1 eclasses, fix deps
Summary: media-libs/opencv-2.4.7: make python optional and migrate to -r1 eclasses, fi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: python-r1-tracker
  Show dependency tree
 
Reported: 2014-01-21 04:35 UTC by Nikoli
Modified: 2014-01-24 21:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for ebuild (opencv-2.4.7.ebuild.patch,3.09 KB, patch)
2014-01-21 04:35 UTC, Nikoli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2014-01-21 04:35:34 UTC
Created attachment 368318 [details, diff]
patch for ebuild

Added USE python: checked enabling and disabling with python2.7 and disabling with python3.3 - works fine. eigen3 works fine too and is DEPEND only. opengl needs gtk or qt, added missing deps. opencv is able to use gtk or qt, but not both. If tbb is enabled, cmake build system will disable openmp.
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2014-01-24 18:42:29 UTC
Unless you go through all the reverse dependencies and figure out which ones need python and which not, I'll at most commit this with python default on.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2014-01-24 21:18:05 UTC
Mostly done in 2.4.8